Skip to main content
PATCH
Update a course

Authorizations

Api-Token
string
header
required

Server-to-server authentication. Generate a token in the admin UI at Settings → Developers → API Access. Send the raw token in the Api-Token header — there is no Bearer prefix.

Tokens can be marked read-only at creation time, in which case the API rejects any non-GET request with 403 Forbidden.

Path Parameters

uuid
string
required

Course identifier

Body

application/merge-patch+json

The updated Course resource

uuid
string | null
tenant
string<iri-reference>
Example:

"/api/v1/tenants/1"

title
string
description
string | null
thumbnail
string | null
status
string
default:draft
type
string
default:self_paced
visibility
(string | null)[] | null
settings
(string | null)[] | null
position
integer | null
default:0
tags
object[]
roles
object[]
badge
object | null

Response

Course resource updated

id
integer
read-only
uuid
string | null
tenant
string<iri-reference>
Example:

"/api/v1/tenants/1"

title
string
description
string | null
thumbnail
string | null
status
string
default:draft
type
string
default:self_paced
visibility
(string | null)[] | null
settings
(string | null)[] | null
position
integer | null
default:0
studentsNumber
integer
default:0
dateCreated
string<date-time>
dateUpdated
string<date-time>
sections
string<iri-reference>[]
Example:
tags
object[]
createdBy
string<iri-reference> | null
Example:

"/api/v1/users/1"

roles
string<iri-reference>[]
Example:
badge
string<iri-reference> | null
Example:

"/api/v1/badges/1"

published
boolean
read-only
draft
boolean
read-only
totalLessons
integer
read-only
totalQuizzes
integer
read-only
availableForAllRoles
boolean
read-only
isOnboarding
boolean
read-only